<?php
/*
Template Name:  Upload Theme
*/
?>
<?php get_header(); ?>
        <div id="content">
            <div id="postarea">
		    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

        <div class="homepage_post">
            <div class="homepage_in">

			    <h2>Upload Your WordPress Theme</h2>

<?php
   if ($_SERVER['REQUEST_METHOD']=="POST"){

   $to="iftimie.s@gmail.com";

   $subject="New Theme Uploaded on Wp-Them.es";

   $from = stripslashes($_POST['fromname'])."<".stripslashes($_POST['fromemail']).">";
   $description = stripslashes($_POST['description']);
   $category = stripslashes($_POST['category']);
   $theme_demo = stripslashes($_POST['theme_demo']);
   $theme_site = stripslashes($_POST['theme_site']);
   $theme_name = stripslashes($_POST['theme_name']);
   $theme_key = stripslashes($_POST['theme_key']);
   $fromname = stripslashes($_POST['fromname']);
   $fromemail = stripslashes($_POST['fromemail']);

   // generate a random string to be used as the boundary marker
   $mime_boundary="==Multipart_Boundary_x".md5(mt_rand())."x";

   // store the file information to variables for easier access
   $tmp_name = $_FILES['filename']['tmp_name'];
   $type = $_FILES['filename']['type'];
   $name = $_FILES['filename']['name'];
   $size = $_FILES['filename']['size'];

   // here we'll hard code a text message
   // again, in reality, you'll normally get this from the form submission
   $message = "Theme Author: $fromname \n Author Email: $fromemail \n Theme Name: $theme_name \n Theme Category: $category \n Theme Description: $description \n Keywords: $theme_key \n Theme Demo: $theme_demo \n Author URL: $theme_site ";

   // if the upload succeded, the file will exist
   if (file_exists($tmp_name)){

      // check to make sure that it is an uploaded file and not a system file
      if(is_uploaded_file($tmp_name)){

         // open the file for a binary read
         $file = fopen($tmp_name,'rb');

         // read the file content into a variable
         $data = fread($file,filesize($tmp_name));

         // close the file
         fclose($file);

         // now we encode it and split it into acceptable length lines
         $data = chunk_split(base64_encode($data));
     }

      // now we'll build the message headers
      $headers = "From: $from\r\n" .
         "MIME-Version: 1.0\r\n" .
         "Content-Type: multipart/mixed;\r\n" .
         " boundary=\"{$mime_boundary}\"";

      // next, we'll build the message body
      // note that we insert two dashes in front of the
      // MIME boundary when we use it
      $message = "This is a multi-part message in MIME format.\n\n" .
         "--{$mime_boundary}\n" .
         "Content-Type: text/plain; charset=\"iso-8859-1\"\n" .
         "Content-Transfer-Encoding: 7bit\n\n" .
         $message . "\n\n";

      // now we'll insert a boundary to indicate we're starting the attachment
      // we have to specify the content type, file name, and disposition as
      // an attachment, then add the file content and set another boundary to
      // indicate that the end of the file has been reached
      $message .= "--{$mime_boundary}\n" .
         "Content-Type: {$type};\n" .
         " name=\"{$name}\"\n" .
         //"Content-Disposition: attachment;\n" .
         //" filename=\"{$fileatt_name}\"\n" .
         "Content-Transfer-Encoding: base64\n\n" .
         $data . "\n\n" .
         "--{$mime_boundary}--\n";

      // now we just send the message
      if (@mail($to, $subject, $message, $headers))
         echo "<div id='upload_form'><div id='upload_success'><h2>Your theme have been uploaded</h2><br />As soon as possible an administrator will review your theme and it will be published <br /><br /><h3>Thank You!</h3></div></div>";
      else
         echo "<div id='upload_form'><div id='upload_error'><h3>Failed to upload the theme</h3></div></div>";
   }
} else {
?>

<div id="upload_form">
<fieldset>
<legend>WordPress Theme Upload Form</legend>
<p>Please note that all fields are required.</p>
<form method="post"
   enctype="multipart/form-data" name="form1">

   <fieldset>
   <legend>Your Name</legend>
   <input type="text" name="fromname" id="theme_author">
   </fieldset>

   <fieldset>
   <legend>Your Email</legend>
   <input type="text" name="fromemail" id="theme_email">
   </fieldset>

   <fieldset>
   <legend>Theme Name</legend>
   <input type="text" name="theme_name" id="theme_name">
   </fieldset>

   <fieldset>
   <legend>Theme *.zip File</legend>
   <small style="color:red;">Theme must be uploaded in zip format</small><br />
   <input type="file" name="filename" id="file">
   </fieldset>

   <fieldset>
   <legend>Theme Category</legend>
   <select name="category" id="categoryform">
                <option value="Personal">Personal</option>
                <option value="Magazine">Magazine</option>
				<option value="Agricolture">Agricolture</option>
				<option value="Adult">Adult</option>
				<option value="Animals">Animals</option>
				<option value="Artworks">Artworks</option>
				<option value="Business">Business</option>
				<option value="Beauty">Beauty</option>
				<option value="Books">Books</option>
				<option value="Computers">Computers</option>
				<option value="Dating">Dating</option>
				<option value="Entertainement">Entertainement</option>
				<option value="Electronics">Electronics</option>
				<option value="Family">Family</option>
				<option value="Fashion">Fashion</option>
				<option value="Games">Games</option>
				<option value="Hosting">Hosting</option>
				<option value="Politics">Politics</option>
				<option value="Portal">Portal</option>
				<option value="Weddings">Weddings</option>
				<option value="Other">Other</option>
   </select>
   </fieldset>

   <fieldset>
   <legend>Theme Description</legend>
   <textarea name="description" rows="3" id="theme_description"><?php echo "$_POST[comments]"; ?></textarea>
   </fieldset>

   <fieldset>
   <legend>Theme Keywords</legend>
   <small>Separate keywords with coma</small>
   <input type="text" name="theme_key" id="theme_key">
   </fieldset>

   <fieldset>
   <legend>Demo URL</legend>
   <input type="text" name="theme_demo" id="theme_demo">
   </fieldset>

   <fieldset>
   <legend>Author URL</legend>
   <input type="text" name="theme_site" id="theme_site">
   </fieldset>

   <fieldset>
   <legend>Terms and conditions</legend>
   <p>By clicking the "Submit my Theme" button you declare that you are the author of the theme and it not contain any copyrighted images / sounds / video / flash used in your theme. We reserve the right to add sponsored links in the theme's footer. You are agreeing that your theme is open source and it not have encrypted files in it, not even the footer. The theme must be zip file and must contain a screenshot. Your description can be changed after testing your theme.</p>
   </fieldset>

   <p><input type="submit" name="Submit" value="Submit my Theme" id="theme_submit"></p>

</form>
</fieldset>
</div>

<?php }
 ?>

                <div class="clear"></div>
                </div>
            </div>

            <?php endwhile; else: ?>

        <div class="homepage_post">
            <div class="homepage_in">
                <h3 style="margin-bottom:800px;"><?php _e('Sorry, no posts matched your criteria.'); ?></h3>
            </div>
        </div>

            <?php endif; ?>

            </div>

                <?php get_sidebar(); ?>

            </div>
<?php get_footer(); ?>