<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('נא לא לקשר ישירות לעמוד זה, תודה!');

	if ( post_password_required() ) { ?>
		<p class="nocomments">פוסט זה מוגן בסיסמה. יש להזין את הסיסמה כדי לצפות בתגובות.</p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

	<?php if ( have_comments() ) : ?>
	<h2>תגובות</h2><b><?php comments_number('אין עדיין תגובות', 'תגובה אחת', '% תגוובת' );?> על &#8221;<?php the_title(); ?>&#8220;</b>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

    	<ol class="commentlist">
	        <?php wp_list_comments('type=comment&avatar_size=48'); ?>
	    </ol>
	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">האפשרות להגיב סגורה.</p>

	<?php endif; ?>
<?php endif; ?>

<?php $tc_trackback = get_option('tc_trackback'); if($tc_trackback): ?>

    <div class="trackbacks">
        <h3>טראקבקים</h3>
        <ol>
            <?php foreach ($comments as $comment) : ?>
            <?php $comment_type = get_comment_type(); ?>
            <?php if($comment_type != 'comment') { ?>
            <li><?php comment_author_link() ?></li>
            <?php } ?>
            <?php endforeach; ?>
        </ol>
    </div>

<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<h3><?php comment_form_title( 'הוספת תגובה', 'הוספת תגובה על %s' ); ?></h3>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>עליך <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">להתחבר</a> בכדי להוסיף תגובה.</p></div>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>שלום <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="יציאה מחשבון זה">התנתק &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="author"><small>שם <?php if ($req) echo "(חובה)"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="email"><small>אימייל (לא יוצג באתר) <?php if ($req) echo "(חובה)"; ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small>אתר</small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="שליחת התגובה" />
<?php comment_id_fields(); ?>
</p>
<?php do_action('comment_form', $post->ID); ?>
<div class="clear"></div>
</form>
</div>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>